Page MenuHomePhabricator

Enable 2FA on wmfphab github account
Closed, ResolvedPublic

Description

We discussed this in #wikimedia-releng and realised that we'll need to sort out the bots, wmfgerrit and wmfphab. wmfgerrit uses SSH for actual automated actions so should be simple (someone with the password or access to the email behind it needs to go in and add MFA), wmfphab apparently uses HTTPS pushing so will need to switch to an access token I think.

We need to enable 2FA (and save the seed possibly in the releng password store too with the account password?), and possibly switch the config in Phab to use an access token instead

Event Timeline

Reedy created this task.Jul 4 2018, 10:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 4 2018, 10:19 PM
mmodell added a subscriber: mmodell.Jul 9 2018, 3:14 PM
mmodell closed this task as Resolved.EditedJul 12 2018, 4:00 PM
mmodell claimed this task.

I've added 2factor to wmfphab on github. The details have been added to the releng pwstore

@mmodell, doesn't {K13} need to be updated?

The password hasn't changed.

But you added MFA, doesn't a token now need to be used when Phab pushes using that username to Github over HTTPS?

mmodell added a comment.EditedJul 12 2018, 10:10 PM

ok, I created an access token and replaced the stored password with the access token. Replication seems to be working.